#include <SSD1306.h>
#include <OLEDDisplay.h>
#include <Wire.h>
#include <WiFi.h>                    
#define SSID "**********"          // ご自分の無線LANアクセスポイントのSSID
#define PASS "**********"          // ご自分のパスワード
SSD1306 display(0x3c, 5, 4); // /SSD1306インスタンスの作成（I2Cアドレス,SDA,SCL）
int LEDpin = 16; // LEDのアノードをD16ピンに接続

void setup() {
  WiFi.mode(WIFI_STA);                    // 無線LANをSTAモードに設定
  WiFi.begin(SSID,PASS);                  // 無線LANアクセスポイントへ接続
  while(WiFi.status() != WL_CONNECTED){   // 接続に成功するまで待つ
    delay(500);                           // 待ち時間処理
  }
  String lip=WiFi.localIP().toString();   // IPアドレスの取得
  display.init(); // ディスプレイの初期化
  display.clear(); // 画面表示の初期化
  display.setColor(WHITE); // テキスト色の設定(白黑のみ)
  display.setFont(ArialMT_Plain_10);    //フォントを設定
  display.drawRect(5, 5, 117, 53); //長方形の描画
  display.drawString(10, 7, "Drawing Rectangle"); //以下文字列の表示
  display.drawString(10, 19, "Drawing String");
  display.drawString(10, 31, "IP ADR:"+lip);
  display.drawString(10, 43, "LED Blink");
  display.display();
  pinMode (LEDpin, OUTPUT); //LED pin を出力に設定
  digitalWrite(LEDpin,LOW);
}
void loop() { // LEDの点滅
  digitalWrite(LEDpin,HIGH);  delay(100); // LED 100 msec点灯
  digitalWrite(LEDpin,LOW);  delay(1000); // LED 1000 msec消灯
}
